Name:           megi-kernel-opi5p-beta
Version:        6.10.0
Release:        0.rc5%{?dist}
Summary:        latest megi kernel for the pinephone, pinetab and the pinefhone pro 

License:        GPLv3+
URL:            https://megous.com/git/linux/log/?h=orange-pi-6.5
Source0:        orange-pi-beta.tar.gz

#BuildArch:      aarch64

Requires:       /bin/bash
Requires:       /bin/sh

BuildRequires:  /bin/bash
BuildRequires:  /bin/sh

Conflicts:      megi-kernel-pboot
Conflicts:      megi-kernel-tab
Conflicts:      megi-kernel-ppp

%description
Megis version of the Linux Kernel, for PinePhone, PinePhone Pro and PineTab

%global debug_package %{nil}

%prep
%autosetup -p1 -n pinephones

%install
#mkdir -p $RPM_BUILD_ROOT/boot/pboot/
mkdir -p $RPM_BUILD_ROOT/boot/efi/
cp Image $RPM_BUILD_ROOT/boot/efi/
mkdir -p $RPM_BUILD_ROOT/boot/efi/allwinner
mkdir -p $RPM_BUILD_ROOT/boot/efi/rockchip
cp -r allwinner/* $RPM_BUILD_ROOT/boot/efi/allwinner
cp -r rockchip/* $RPM_BUILD_ROOT/boot/efi/rockchip
mkdir -p $RPM_BUILD_ROOT/lib/modules/
cp -r modules/lib/modules/* $RPM_BUILD_ROOT/lib/modules/

%files
/boot/efi/Image
/lib/modules/
/boot/efi/allwinner/sun50i-a64-pinephone-1.0.dtb
/boot/efi/allwinner/sun50i-a64-pinephone-1.1.dtb
/boot/efi/allwinner/sun50i-a64-pinephone-1.2.dtb
/boot/efi/allwinner/sun50i-a64-pinetab.dtb
/boot/efi/rockchip/

%changelog
* Wed Jun 26 2024 Yoda - 6.10.0-0.rc5
- Initial package for Orange Pi 5 Plus

